vigra - AdjacencyListGraph::ArcMap< T > Struct Template Reference

[ VIGRA Homepage | Function Index | Class Index | Namespaces | File List | Main Page ]

| AdjacencyListGraph::ArcMap< T > Struct Template Reference Graph Data Structures and Algorithms |

default arc map More...

`#include <vigra/adjacency_list_graph.hxx>`

Inherits DenseArcReferenceMap< GRAPH, T, REF, CREF >.

## Additional Inherited Members
Public Types inherited from MultiArray< 1, T >
typedef A | allocator_type
typedef view_type::const_iterator | const_iterator
typedef view_type::const_pointer | const_pointer
typedef view_type::const_reference | const_reference
typedef view_type::const_traverser | const_traverser
typedef view_type::difference_type | difference_type
typedef view_type::difference_type_1 | difference_type_1
typedef view_type::iterator | iterator
typedef MultiArray< N, T, A > | matrix_type
typedef view_type::pointer | pointer
typedef view_type::reference | reference
typedef view_type::size_type | size_type
typedef view_type::traverser | traverser
typedef view_type::value_type | value_type
typedef MultiArrayView< N, typename vigra::detail::ResolveMultiband < T >::type, typename vigra::detail::ResolveMultiband < T >::Stride > | view_type
Public Member Functions inherited from MultiArray< 1, T >
allocator_type const & | allocator () const
MultiArray & | init (const U &init)
| MultiArray ()
| MultiArray (allocator_type const &alloc)
| MultiArray (difference_type_1 length, allocator_type const &alloc=allocator_type())
| MultiArray (difference_type_1 width, difference_type_1 height, allocator_type const &alloc=allocator_type())
| MultiArray (const difference_type &shape, allocator_type const &alloc=allocator_type())
| MultiArray (const difference_type &shape, const_reference init, allocator_type const &alloc=allocator_type())
| MultiArray (const difference_type &shape, MultiArrayInitializationTag init, allocator_type const &alloc=allocator_type())
| MultiArray (const difference_type &shape, const_pointer init, allocator_type const &alloc=allocator_type())
| MultiArray (const MultiArray &rhs)
| MultiArray (multi_math::MultiMathOperand< Expression > const &rhs, allocator_type const &alloc=allocator_type())
| MultiArray (const MultiArrayView< N, U, StrideTag > &rhs, allocator_type const &alloc=allocator_type())
MultiArray & | operator*= (const MultiArrayView< N, U, StrideTag > &rhs)
MultiArray & | operator*= (const T &rhs)
MultiArray & | operator*= (multi_math::MultiMathOperand< Expression > const &rhs)
MultiArray & | operator+= (const MultiArrayView< N, U, StrideTag > &rhs)
MultiArray & | operator+= (const T &rhs)
MultiArray & | operator+= (multi_math::MultiMathOperand< Expression > const &rhs)
MultiArray & | operator-= (const MultiArrayView< N, U, StrideTag > &rhs)
MultiArray & | operator-= (const T &rhs)
MultiArray & | operator-= (multi_math::MultiMathOperand< Expression > const &rhs)
MultiArray & | operator/= (const MultiArrayView< N, U, StrideTag > &rhs)
MultiArray & | operator/= (const T &rhs)
MultiArray & | operator/= (multi_math::MultiMathOperand< Expression > const &rhs)
MultiArray & | operator= (const MultiArray &rhs)
MultiArray & | operator= (const MultiArrayView< N, U, StrideTag > &rhs)
MultiArray & | operator= (value_type const &v)
MultiArray & | operator= (multi_math::MultiMathOperand< Expression > const &rhs)
void | reshape (const difference_type &shape)
void | reshape (const difference_type &shape, const_reference init)
void | swap (MultiArray &other)
| ~MultiArray ()
Protected Member Functions inherited from MultiArray< 1, T >
void | allocate (pointer &ptr, difference_type_1 s, const_reference init)
void | allocate (pointer &ptr, difference_type_1 s, U const *init)
void | allocate (pointer &ptr, MultiArrayView< N, U, StrideTag > const &init)
void | deallocate (pointer &ptr, difference_type_1 s)
Protected Attributes inherited from MultiArray< 1, T >
allocator_type | m_alloc

## Detailed Description

### template<class T>
struct vigra::AdjacencyListGraph::ArcMap< T >

default arc map

The documentation for this struct was generated from the following file:

- vigra/adjacency_list_graph.hxx

© Ullrich Köthe (ullrich.koethe@iwr.uni-heidelberg.de) Heidelberg Collaboratory for Image Processing, University of Heidelberg, Germany | html generated using doxygen and Python vigra 1.10.0 (Thu Jan 8 2015)